<?php
/*****************************
* Copyright 2021 1st Source IT, LLC
* All rights reserved.
* Permission granted for use as
* long as this copyright notice, associated text and
* links remain in tact.
* Licensed for a single domain and a single instance of EZ-cart.
* Additional licenses can be purchased for additonal sites.
*
* http://www.ez-ms.com
* http://www.ez-om.com
* http://www.1sit.com*
*
* End copyright notification
*/

// Config params for this addon

$config_addon_name = basename(dirname(__FILE__));	// auto_mail
$addon_min_ver = '4';			// Set if a minimum cart version is ever required
$addon_cur_ver = '4.15.64';		
/*
// 2.1.11 - 5/14/11
 2.1.12 - 7/20/11 - Add admin language to status table listing
 2.1.14 - Change reference in profile template from am_user_data to am_user_info
 2.2.15 - 1/13/12 - Added delete capability to the queue
 2.2.16 - 1/14/12 - Added customer mode for version - no user impact.
 2.2.17 - 2/9/12	- Fixed small bug in edit event where selection of template did not default
 2.2.18 - 2/21/12 - Added Admin usergroup permissions
 2.2.19 - 3/26/12 - Fixed bug with From address
 2.2.20 - 3/27/12 - Fixed uninstall bug and upgrade bug.
 3.0.21 - 4/5/12 - V3 compatible
 3.0.22 - 8/16/12 - Bug in build tools created bad install archive.
 3.0.23 - 11/6/12 - Fixed defect where table fields for object_id were
						were not UNSIGNED.  Problem for large value 
						order_ids.
 3.0.24 - 6/19/13 - Added am_get_order hook 
 4.0.25 - 8/6/13 - Initial port to V4
 4.0.26 - 10/14/13 - Fixed import from V2 or V3 in addon.xml
					 - Fixed issue where default order status doesn't
						match event order status for queueing.
					 - Fixed issue where processing multiple events
						could cause product list to be emptied.
 4.0.27 - 11/1/13 - Update "permissions" to remove INSERT into privilege_descriptions table.
 4.0.28 - 1/30/14 - Rebuild
 4.1.29	2/8/14 = 	Changed ez_log:: to ez_log function 
						and did some class_exiss checks 
						for ez_log:: operations.
 4.1.30	2/20/14 - Changes to fix permission issues for 
						Administrators user group.
 4.1.31	2/21/14 - Fixed send on login.  Fixed typo in post_upgrade 
						causing Error Occurred message.
 4.1.32	3/8/14	- Support for windoz path names
 4.1.33	8/18/14 - Fixes for multi-store and all-stores event management
 4.1.34	3/22/14 - Added checks for table schemas since upgrades
						bring forward an incompatible table.
						Added conversion of old template names to new 
						for events and queued items.
 4.1.34	4/27/14 - Fixed several different install issues related to
						cs-cart copying old V3 tables to V4 on store 
						import.
						Changed location of mail files to standard 
						locations during installation (if exists)
 4.1.35	5/10/14 - Added email review template allowing batch reviews
 4.2.36	8/14/14 - Adjusted for language_values table changes.
 4.2.37 	12/31/14	- Fixed log.show error.
 						- Added user_type qualification to profile events
						- Fixed some debug log level setting issues
 4.3.38	10/9/15	- Fixed defect in payment_type event
					- Fixed defect related to status menu
 					- Fix defect in addons.post.php for empty REQUEST['addon']
					- Added support for FORMS
					- Fixed bug with logging
					- Fixed bug with Purchased products
 4.3.39	12/28/15		- Fixed bug in template(s) where href didn't use
						storefront URL
 4.3.40	01/20/16	- Fix bug related to queued lang_code
 4.3.41	2/1/16		- Add support for other languages to 
							description tables during installation.
 4.3.42	4/5/16	- Fix bug in check_table_fields for unknown index
					- Change to status menu for cs-cart 4.3.6
 4.3.43	4/9/16	- Modified form company_id for forms created as 
					- company_id 1 and are shared.
					- Added template init for form template condition
 4.3.44	5/6/16	- Fix display bug for send date when zero days 
						used as queue time.  Fixed form queue to use 
						timestamp rather than days.
 4.3.45	7/4/16	- Fix for URL's in templates for MVE 
						Added company condition to retreival of queue data
 4.3.46	7/13/16 - Replaced broken fn_get_dir_contents() from 4.3.8
						with local am_get_files().
 4.3.47	7/19/16	- Propagate event descriptions to all langs
						when event created.
					- Modify to only edit when company_id's match.
						I.e. show all_companies events in specific
						company listing but without edit/delete links.
 4.3.48	8/2/16	- Issue with MVE not having company_id in discussion
						table.  Now included conditionally.
 4.3.49	11/7/16	- More instances of company_id in discussion 
					table for MVE
					- Fixed issue with determining discussion products.
 4.3.50	11/7/16	- Typo where a '$' got removed from the company 
						condition.
 4.7.52	4/3/18	- Added am_dispatch_order_event_pre hook
					- Removed XML comments from DB 
						initialization in addon.xml
					- Added some _SERVER vars to cron_iface.php
					- Added Unsubscribe
					- Added new reviews_onsite template
					- Added template previewer
					- Added Abandoned Cart events
 4.7.53	4/4/18	- Fixed new install issue with init_events
					- Fixed default unsubscribe setting.
					- Fixed issue with unsubscribe table creation
						on upgrades.
					= Added notification of orders when queued in admin
					- Added Show Unsubscribers link
					= Removed 200 limit restriction for Pending mail
 4.7.54	5/27/18	- Fixed issue with overloaded addon_install_templates() function in 
 					upgrade/post_upgrade_all_versions.php by renaming function.
 4.7.55 5/30/18	- Fix critical issue in discussion addon status compare.
 4.7.56	6/12/18	-	Adjust cron_iface to handle newer php methods of handling parameters.
 				- Add variable (include_bugfix) to address current
					templateDir() issue.
 4.9.57	1/8/19	- Add hook (auto_mail:products_order_reviews) to order_reviews.tpl to add
 						custom review fields to template for each product.
				- Fix trace status for auto_mail_actions table for Abandon Cart action
				- Fix image dispaly for abandoned cart.  look at detailed and icon.
				- Fix typo in cron_iface.php related to abandoned carts.
 4.9.58	5/21/19	- Added new event type Shipping method
 4.10.59 7/23/19	- Provide workaround for deprecated function fn_get_payment_methods.
 4.10.60	09/20/19 -	Added preview action to all views of the queue.
 4.11.61	06/0820	- Fix to unreferenced $lang_code in controllers/backend/auto_mail.php
 					- Fix to prevent error if am_subscribe field already exists in users table.
 4.12.62 - 1/7/21	- Fixes to email address in templates.  Now uses company_orders_department instead of 'email'.
 					- Fixed cron notifications to be dependent on CONSOLE being defined.
					- Added cron command line to use to top of 'manage' page.
 4.12.63 - 01/16/20	- Convert addon.xml to schem 3.0 using PO files.
 4.15.64 - 8/24/23	- Fixed issue with update_profile hook where no am_subscribe value was set (quick profile adds).
 
*/

$addon_depends = 'ez_common';
$addon_has_changelog = false;
?>