<?php
/*****************************
* Copyright 2021 1st Source IT, LLC
* All rights reserved.
* Permission granted for use as
* long as this copyright notice, associated text and
* links remain in tact.
* Licensed for a single domain and a single instance of EZ-cart.
* Additional licenses can be purchased for additonal sites.
*
* http://www.ez-ms.com
* http://www.ez-om.com
* http://www.1sit.com*
*
* End copyright notification
*/
if( !defined('BOOTSTRAP') ) die('Access denied');
use Tygh\Registry;

$v = explode(DIRECTORY_SEPARATOR, __FILE__);
$addon_name = $v[count($v)-4];
include(ez_fix_path(Registry::get('config.dir.addons')."$addon_name/config.php"));

if( $mode == 'login' && (Registry::get('addons.auto_mail.run_at_login') == 'Y') ) {
	if($items = am_get_due_items(TIME) ) {
		if( $n = count($items) ) {
			am_run_queue($items);	// $action "can" contain 'force', or any non-empty value to force the queue to run regardless of the times.
			fn_set_notification('N', "$controller", "Processed $n queued mail items", 'K');
		}
	}
	if( function_exists('am_event_abandoned_carts') ) 
		am_event_abandoned_carts();
}

if( file_exists($f = ez_fix_path(Registry::get('config.dir.addons')."ez_common/lib/auth_processing.php")) ) {
	include($f);
} else if( !defined('RESTRICTED_ADMIN') ) {
	$test = strstr($_SERVER['HTTP_HOST'], 'test.') ? "test." : '';
	fn_set_notification('W', "$addon_name: $controller.$mode", "EZ Common Addon Tools is not installed.  Please install it manually from http://www.{$test}ez-ms.com/private/ez_common4.tgz", true);
}

return array(CONTROLLER_STATUS_OK);
?>
