<?php
/*****************************
* Copyright 2021 1st Source IT, LLC
* All rights reserved.
* Permission granted for use as
* long as this copyright notice, associated text and
* links remain in tact.
* Licensed for a single domain and a single instance of EZ-cart.
* Additional licenses can be purchased for additonal sites.
*
* http://www.ez-ms.com
* http://www.ez-om.com
* http://www.1sit.com*
*
* End copyright notification
*/
if( !defined('BOOTSTRAP') ) die('Access denied');

use Tygh\Registry;

switch($action) {
	case 'test_template':	// tests.test_template.order_review_products&order_id=123
		fn_define('am_template_testing', true);
		$template_name = empty($dispatch_extra) ? "order_review_onsite" : $dispatch_extra;
		$template_name .= ".tpl";
		$order_id = empty($_REQUEST['order_id']) 
				? db_get_field("SELECT order_id FROM ?:orders WHERE 1 ORDER BY order_id DESC LIMIT 1")
				: $_REQUEST['order_id'];
		
		if( true ) {
			$body_template = am_check_template_path('en', $template_name, $company_id=am_company_id());
			if( empty($body_template) ) 
				die("Bad template '$template_name'");
			$o = fn_get_order_info($order_id, true);
			$mail_params['data']['am_order'] = $o;
			$mail_params['to'] = "support@ez-ms.com";
			$mail_params['data']['am_user_info'] =  $u_data = ($o['user_id'] ? fn_get_user_info($o['user_id']) : array());
			$trigger_name = "order_id";
			$trigger_data = array();
			$mail_params['data']['am_trigger_name'] = $trigger_name;
			$mail_params['data']['am_trigger_name'] = $trigger_name;
			$mail_params['data']['am_trigger_data'] = $trigger_data;
			$mail_params['data']['order_id'] = $order_id;
			$mail_params['data']['am_queue_id'] = 1;
			
			// 6/12/18 - Add support for bugfix 
			$mail_params['data']['include_bugfix'] = "design/backend/mail/templates/";
			
			// 8/4/16: Made company_id conditional upon MVE or not
			$company_condition = '';
			if( fn_allowed_for("ULTIMATE") )
				$company_condition = "AND company_id=".am_company_id();
							
			foreach($o['products'] as $k => $item)
				$mail_params['data']['am_discussion_thread_id'][$item['product_id']] = (integer)db_get_field("SELECT thread_id FROM ?:discussion WHERE object_id=?i AND object_type='P' $company_condition",
																												  							$item['product_id'], am_company_id());
			$mail_params['reply-to'] = $mail_params['from'] = 'company_orders_department';
			$mail_params['company_id'] = $company_id;
			$mail_params['tpl'] = $body_template;
//am_dbg("mail_params[data]:".print_r($mail_params['data'], true), true); exit;
			$view = Registry::get('view');
			foreach($mail_params['data'] as $k => $v)
				$view->assign($k, $v);
			$company_data = fn_get_company_placement_info($mail_params['company_id']);
			$view->assign('company_data', $company_data);
			$body = $view->displayMail($body_template, false, AREA, $mail_params['company_id'], 'en');
			echo $body;
			echo "<br/><br/>";
			echo "<a href=\"?dispatch=auto_mail.manage\">Return to Auto Mail manage page</a>";
			exit; 
		}
		break;
	case 'show_order':
		$order_id = $dispatch_extra ? $dispatch_extra : 14469;
		die("<pre>order $order_id:".print_r(fn_get_order_info($order_id), true) );
	case 'fix_lang_code':
		ini_set('display_errors', true);
		error_reporting(E_ALL);
		echo "<pre>";
		foreach(db_get_fields("SELECT am_object_id AS order_id FROM ?:auto_mail_queue WHERE 1") as $order_id) {
			$lang_code = db_get_field("SELECT lang_code FROM ?:orders WHERE order_id=?i", $order_id);
			if( $lang_code ) {
				db_query("UPDATE ?:auto_mail_queue SET lang_code=?s WHERE am_object_id=?i", $lang_code, $order_id);
				printf("Updated object=%d\n", $order_id);
			}
		}
		die("Done");
	case 'init_forms_db':
		db_query("REPLACE INTO ?:auto_mail_action_descriptions (`am_action_id`, `am_action_type`, `lang_code`, `description`) VALUES (6, 'F', 'en', 'Form submission')");
		db_query("REPLACE INTO ?:auto_mail_actions (`am_action_id`, `am_action_type`, `am_event_type`, `am_status`) VALUES (6, 'F', 'F', 'A')");
		fn_set_notification("N", __("notice"), "Created 'Form submission actions");
		fn_redirect("");
	case 'forms':
		$forms = am_get_forms();
		am_dbg("forms:".print_r($forms,true), true);
		exit;
	case 'form_menu':
		$menu = am_forms_menu();
		am_dbg("form_menu:".print_r($menu,true), true);
		exit;
	case 'event_types':
		am_dbg("event_types:".print_r(am_event_types(),true), true);
		am_dbg("Events table data:".print_r(db_get_array("SELECT e.*, ed.description AS event_name 
														 FROM ?:auto_mail_events as e
														 LEFT JOIN ?:auto_mail_event_descriptions AS ed
														 	ON e.am_event_id=ed.am_event_id 
																AND ed.lang_code='en'"),true), true);
		exit;
	case 'event_descriptions':
		am_dbg("event_descriptions:".print_r(db_get_array("SELECT * FROM ?:auto_mail_event_descriptions GROUP BY event_id"),true) );
		exit;
	case 'show_events':
		$event_types = am_event_types();
		$events = array();
		foreach($event_types as $event_id => $event_type)
			$events[$event_type] = am_get_events($event_type);
		am_dbg("Events by type:".print_r($events,true), true);
		exit;
	case 'form_queue':
		am_dbg("Forms Queued: ".print_r(am_get_queued_items(FORM_EVENT, 1),true), true);
	case 'discussion_options':
		$opts = Registry::get('addons.discussion');
		die("<pre>$controller.$mode.$action:".print_r($opts,true) );
	case 'themes_installed':
		$themes_installed = glob("design/themes/*/templates/addons/auto_mail");
		die("<pre>$action:".print_r($themes_installed,true) );
	case 'abandoned_carts':
		$age = $dispatch_extra ? $dispatch_extra : '4hr';
		$carts = am_abandoned_carts($age);
		die("<pre>$action: $age (".count($carts)."):".print_r($carts,true) );
	case 'subscriber_status':
		$subscriber = empty($_REQUEST['email']) ? 'support@ez-ms.com' : $_REQUEST['email'];
		die("$action ($subscriber) = ".am_subscriber_status($subscriber) );
		
}
?>