<?php
/**
 **	Usage: Use the root of your store as the working directory for CRON
 ** Use this command line: 
 ** cd <root_of_your_store>; php ./app/addons/auto_mail/cron_iface.php --pw=<password>
 **		where <password> is the password used for password reminders in Administration/Settings/Security Settings
 **		and <root_of_your_store> is the full path to the directory where your cart is installed.
 **/
define('AREA', 'A');
define('AREA_NAME', 'admin');
define('BOOTSTRAP', true);

if( !file_exists("./config.local.php") )
	chdir("../../..");
require_once("./init.php");
// 2/19/14: moved below init.php
use Tygh\Registry;
// 2/19/14: moved below init.php
$dir_addons = Registry::get('config.dir.addons');

// 11/30/17: Added for cron access
if( Registry::get('addons.auto_mail.status') != 'A' ) 
	exit;
//	die("Auto mail addon not active");

if( !function_exists('auto_mail_install_setup') ) {
	include($dir_addons."auto_mail/init.php");
	require_once($dir_addons."auto_mail/func.php");
}

$cron_password = Registry::get('settings.Security.cron_password');
//if( !$cron_password )
//	die('Bad pass');

//6/2/18: added for changes to php-cli handling of parameters
if( empty($_REQUEST['pw']) && isset($argv[1]) )
	$_REQUEST['pw'] = $argv[1];

if( $cron_password && (!isset($_REQUEST['pw']) || $cron_password != $_REQUEST['pw']) ) {
	die('Access_denied');
}

// 11/390/17 - Added for cron jobs since source code doesn't check if $_SERVER set or not.
if( empty($_SERVER['REMOTE_ADDR']) ) $_SERVER['REMOTE_ADDR'] = '127.0.0.1';
if( empty($_SERVER['REQUEST_METHOD']) ) $_SERVER['REQUEST_METHOD'] = 'GET';

$f = basename(__FILE__);
am_log(sprintf("[%s]: %s: Started cron for Auto-Mailer", date("m/d/Y H:i:s"), $f) );

$items = am_get_due_items(TIME);
if( $n = count($items) ) {
	am_run_queue($items);	
	am_log(sprintf("[%s]: %s: Processed %d items for Auto-Mailer", date("m/d/Y H:i:s"), $f, $n) );
	echo "Processed $n queued mail items";
} else {
	am_log(sprintf("[%s]: %s: No items to process for Auto-Mailer", date("m/d/Y H:i:s"), $f) );
}

// Collect/send abandoned carts
// 1/8/19: Corrected typo
if( function_exists('am_event_abandoned_carts') ) 
	am_event_abandoned_carts();
exit;
?>
