<?php
/*****************************
* Copyright 2021 1st Source IT, LLC
* All rights reserved.
* Permission granted for use as
* long as this copyright notice, associated text and
* links remain in tact.
* Licensed for a single domain and a single instance of EZ-cart.
* Additional licenses can be purchased for additonal sites.
*
* http://www.ez-ms.com
* http://www.ez-om.com
* http://www.1sit.com*
*
* End copyright notification
*/
if( !defined('BOOTSTRAP') ) die('Access denied');

use Tygh\Registry;

// Unsubscribe....

function am_get_subscriber($email, $lang_code=CART_LANGUAGE) {
	return db_get_row("SELECT * FROM ?:auto_mail_subscribers WHERE email=?s AND lang_code=?s",
							 trim($email), $lang_code);
}

function am_put_subscriber($email, $lang_code, $status) {
	$data = array('email'=>trim($email),
					'lang_code'=>$lang_code,
					'status' => $status,
					'timestamp' => TIME
					);
	return db_query("REPLACE INTO ?:auto_mail_subscribers ?e", $data);
}

function am_subscriber_status($email, $lang_code=CART_LANGUAGE) {
	$status = db_get_field("SELECT status FROM ?:auto_mail_subscribers WHERE email=?s AND lang_code=?s",
						   trim($email), $lang_code);
	return $status ? $status : 'Y';
}

function am_get_user_subscriber($email) {
	$res = db_get_field("SELECT am_subscribe FROM ?:users WHERE email=?s", trim($email));
	return $res === false ? 'Y' : $res;
}
function am_set_user_subscriber($email, $status) {
	db_query("UPDATE ?:users SET am_subscribe=?s WHERE email=?s", $status, trim($email));
	if( $status == 'N' ) {
		// Remove queued events for email
		db_query("DELETE from ?:auto_mail_queue WHERE am_send_to=?s AND am_queue_status='P'", trim($email));
	}
}

// 5/27/18: change function name to am_install_templates
if( !function_exists('am_install_templates') ) {
	function am_install_templates($addon, $message_type='return') {
		$repo_dir = "var/themes_repository/responsive/templates/addons/$addon";
		$msg[] = "Installing templates from $repo_dir";
		foreach(glob("design/themes/*", GLOB_ONLYDIR) as $dir) {
			$msg[] = "\t$dir/templates/addons/$addon";
			fn_copy($repo_dir, "$dir/templates/addons/$addon");
		}
		switch($message_type) {
			case 'screen':
				echo implode("\n", $msg);
				break;
			case 'notice':
				fn_set_notification('N', __('notice'), "<pre>".implode("\n", $msg)."</pre>", 'K');
				break;
			case 'return':
				return implode("\n", $msg);
			default:
				if( $message_type ) // function name
					$message_type(implode("\n", $msg) );
				break;
		}
	}
}

?>