<?php
if( !defined('BOOTSTRAP') ) die('Access denied');
use Tygh\Registry;

if( function_exists($f = "auto_mail_install") ) {
	$params = [];
	if( Registry::get('runtime.mode') == 'check_install' && Registry::get('runtime.action') ) {
		$params['force'] = true;
		$f($params);
	}
} else {
	if( function_exists('addon_auto_mail_lang_vars') ) {
		addon_auto_mail_lang_vars('auto_mail', addon_silent_auto_mail('auto_mail') );
	}
}

if( is_dir($f = Registry::get('config.dir.addons')."auto_mail/addons_common") ) 
	fn_rm($f);
	
// Fixes old addon settings.
db_query("UPDATE ?:privileges SET section_id='addons' WHERE section_id='1'");

// Adds form support
db_query("REPLACE INTO `?:auto_mail_action_descriptions` 
		 				(`am_action_id`, `am_action_type`, `lang_code`, `description`)
						VALUES (6, 	'F', 	'en', 	'Form submission')");
db_query("REPLACE INTO `?:auto_mail_actions` 
		 				(`am_action_id`, `am_action_type`, `am_event_type`, `am_status`)
						VALUES (6, 	'F', 	'F', 	'A')");
// Adds Abandoned Cart support
db_query("REPLACE INTO `?:auto_mail_action_descriptions` 
		 				(`am_action_id`, `am_action_type`, `lang_code`, `description`)
						VALUES (7, 	'C', 	'en', 	'Abandoned carts')");
// 12/34/18 - change status to 'A' from 'D'
db_query("REPLACE INTO `?:auto_mail_actions` 
		 				(`am_action_id`, `am_action_type`, `am_event_type`, `am_status`)
						VALUES (7, 	'C', 	'C', 	'A')");
// Adds Shipping method support
db_query("REPLACE INTO `?:auto_mail_action_descriptions` 
		 				(`am_action_id`, `am_action_type`, `lang_code`, `description`)
						VALUES (8, 	'S', 	'en', 	'Shipping method')");
// 12/34/18 - change status to 'A' from 'D'
db_query("REPLACE INTO `?:auto_mail_actions` 
		 				(`am_action_id`, `am_action_type`, `am_event_type`, `am_status`)
						VALUES (8, 	'S', 	'O', 	'A')");
	
// 5/27/18: Change function name to avoid late loading of ez_common
if( !function_exists('am_auto_mail_templates') ) {
	function am_auto_mail_templates($addon, $message_type='return') {
		$repo_dir = "var/themes_repository/responsive/templates/addons/$addon";
		$msg[] = "Installing templates from $repo_dir";
		foreach(glob("design/themes/*", GLOB_ONLYDIR) as $dir) {
			$msg[] = "\t$dir/templates/addons/$addon";
			fn_copy($repo_dir, "$dir/templates/addons/$addon");
		}
		switch($message_type) {
			case 'screen':
				echo implode("\n", $msg);
				break;
			case 'notice':
				fn_set_notification('N', __('notice'), "<pre>".implode("\n", $msg)."</pre>", 'K');
				break;
			case 'return':
				return implode("\n", $msg);
			default:
				if( $message_type ) // function name
					$message_type(implode("\n", $msg) );
				break;
		}
	}
}

$themes_auto_mailed = glob("design/themes/*/templates/addons/auto_mail");
if( !$themes_auto_mailed ) {
	am_auto_mail_templates('auto_mail');
}
	

// Check if unsubscribe checboxes is setup and update it if not
$exists = db_get_row("SELECT * FROM ?:settings_objects WHERE name=?s", 'profile_unsubscribe');
if( !$exists ) {
	$fields = array('profile_unsubscribe'=>array(
												 'desc'=>'Unsubscribe on profile', 
												 'tip'=>'Show unsubscribe on profile page',
												 'value'=>'N'
												 ),
					'checkout_unsubscribe'=>array('desc'=>'Unsubscribe on checkout',
												  'tip'=>'Show unsubscribe on checkout page',
												  'value'=>'N'
												  ),
					'email_unsubscribe'=>array('desc'=>'Unsubscribe in email',
											   'tip'=>'Show unsubscribe on checkout page',
											   'value'=>'Y'
											   )
					);
	$data = db_get_row("SELECT * FROM ?:settings_objects WHERE name=?s", 'review_coupon_discount');
	if( $data ) {
		$position = $data['position'];
		foreach( $fields as $id => $f_dat) {
			$data['name'] = $id;
			$data['position'] += 10;
			$data['type'] = 'C';
			$data['value'] = $f_dat['value'];
			unset($data['object_id']);
			$object_id = db_query("INSERT INTO ?:settings_objects ?e", $data);
			if( $object_id ) {
				foreach(Registry::get('languages') as $lang_code => $junk) {
					$desc_data = array('object_id'=>$object_id, 'object_type' => 'O', 'lang_code'=>$lang_code,
								  'value'=>$f_dat['desc'],
								  'tooltip'=>$f_dat['tip']
								  );
					db_query("REPLACE INTO ?:settings_descriptions ?e", $desc_data);
				}
			}
			if( $object_id )
				am_log(basename(__FILE__).": Created new tab element '$f_dat[name]'");
		}
	}
}

// Move the current 'rating_type' (and header) to the 'deprecated' tab.  Create the tab if needed.
$exists = db_get_field("SELECT a.section_id FROM ?:settings_sections AS a
					   INNER JOIN ?:settings_sections AS b ON a.parent_id=b.section_id 
					   									AND b.name='auto_mail'
					   WHERE a.name='deprecated'");
if( !$exists ) {
	$parent_id = db_get_field("SELECT section_id FROM ?:settings_sections WHERE parent_id=0 AND name='auto_mail'");
	$clone = db_get_row("SELECT * FROM ?:settings_sections WHERE parent_id=?i AND name='addon_template_settings'", $parent_id);
	$old_section_id = 0;
	if( $clone ) {
		$old_section_id = $clone['section_id'];
		unset($clone['section_id']);
		$clone['name'] = 'deprecated';
		$clone['position'] += 10;
		$new_section_id = db_query("INSERT INTO ?:settings_sections ?e", $clone);
		$name = 'Deprecated Settings';
		am_log(basename(__FILE__).": Created new section '$name'");
		foreach(Registry::get('languages') as $lang_code => $junk) {
			$data = array('object_id'=>$new_section_id, 'object_type' => 'S', 'lang_code'=>$lang_code,
						  'value'=>$name,
						  'tooltip'=>""
						  );
			db_query("REPLACE INTO ?:settings_descriptions ?e", $data);
		}
	}
	// Section is now created.  Now move the item(s)
	if( !empty($new_section_id) ) {
		// COPY the 'review_template' header
		$header_row = db_get_row("SELECT * FROM ?:settings_objects WHERE name='review_template' AND type='H' AND section_id=?i AND section_tab_id=?i",
								 $parent_id, $old_section_id);
		if( $header_row ) {
			$old_object_id = $header_row['object_id'];
			unset($header_row['object_id']);
			$header_row['section_tab_id'] = $new_section_id;
			$header_object_id = db_query("INSERT INTO ?:settings_objects ?e", $header_row);
			$name = 'Deprecated Review Template Settings';
			foreach(db_get_array("SELECT * FROM ?:settings_descriptions WHERE object_id=?i", $old_object_id) as $data) {
				$data['object_id'] = $header_object_id;
				db_query("REPLACE INTO ?:settings_descriptions ?e", $data);
			}
		}
		
		// MOVE the old section
		$rating_type = db_get_row("SELECT * FROM ?:settings_objects WHERE section_tab_id=?i AND name='rating_type'", $old_section_id);
		$rating_type['section_tab_id'] = $new_section_id;
		db_query("UPDATE ?:settings_objects SET section_tab_id=?i WHERE section_tab_id=?i AND name='rating_type'", $new_section_id, $old_section_id);
		am_log(basename(__FILE__).": Moved rating_type to new deprecated section");
	}
}

$table = 'user_session_products';
$fields = fn_get_table_fields($table);
if( !in_array('am_ages', $fields) ) {
	db_query("ALTER TABLE `?:user_session_products` ADD `am_ages` VARCHAR(50) NOT NULL");
	db_query("UPDATE ?:user_session_products SET am_ages=?s WHERE am_ages=''", AM_CART_BEFORE_INSTALL);
}
			
			
// Checks table for proper schema
if( !function_exists('am_check_table_fields') ) {
	// Verify that table has the company_id field (V3 did not) and update if needed
	function am_check_table_fields() {
		$tables = array('auto_mail_events', 'auto_mail_queue');
		$actions = array('company_id' => "ADD COLUMN company_id mediumint(8) unsigned not null"
						);
		$notify_label = empty($_REQUEST['addon']) ? Registry::get('runtime.controller') : $_REQUEST['addons'];
		foreach($tables as $table) {
			// Note that '?:' doesn't work with the fn_get_table_fields() function....  It assumes cscart_
			$fields = fn_get_table_fields($table);
			foreach($actions as $field => $alter_action) {
				if( !in_array($field, $fields) ) {
					db_query("ALTER TABLE ?:$table $alter_action");
					fn_set_notification("W", $notify_label, $s = "Modified field '$field' for imported V3 table '$table'", 'K');
					am_log(sprintf("%s: %s", __FUNCTION__, $s));
				}
			}
		}
		
		// Check for old template names
		$old_mail_templates = array(
					'order_body_order_placed.tpl' => 'order_placed.tpl',
					'profile_body_welcome.tpl' => 'profile_welcome.tpl'
									);
		$event_types = am_event_types();
		$converted_events = array();
		$converted_queue_count = 0;
		
		foreach($event_types as $event_type) {
			$events = am_get_events($event_type, $status='', am_company_id(), true);
			foreach($events as $am_event_id => $event_data) {
				if( isset($old_mail_templates[$event_data['am_template']]) ) {
					$converted_events[] = sprintf("Converted template for '%s' from '%s' to '%s'",
												  $event_data['description'], $event_data['am_template'],
												  $old_mail_templates[$event_data['am_template']]
												  );
					$event_data['am_template'] = $old_mail_templates[$event_data['am_template']];
					am_update_event($am_event_id, $event_data);
				}
			}
			// $_REQUEST['force_status'] will override this;
			$status_override = empty($_REQUEST['force_status']) ? '' : $_REQUEST['force_status'];
			if( $event_type == AM_QUEUE_STATUS_PENDING 
				||  ($status_override && $event_type == $status_override) ) {
				$year_from_now = TIME + (SECONDS_IN_DAY * 365);
				$queued_items = am_get_queued_items($event_type, $from_time=0, $to_time=$year_from_now);
				foreach($queued_items as $queue_id => $q_data) {
					$event_data = $q_data['am_event'];
					$am_event_id = $event_data['am_event_id'];
					if( isset($old_mail_templates[$event_data['am_template']]) ) {
						$converted_queue_count++;
						$q_data['am_event']['am_template'] = $old_mail_templates[$event_data['am_template']];
						am_update_queue($queue_id, $q_data);
					}
				}
			}
		}
		$msg = '';
		if( $converted_events ) {
			$msg .= implode("<br/>", $converted_events);
		}
		if( $converted_queue_count ) {
			$msg .= sprintf("%sUpdated '%d' queued items with new template names", 
							$msg ? '<br/>' : '',
							$converted_queue_count);
		}
		if( $msg )
			fn_set_notifiation('N', $notify_label, $msg, 'K');
		
		// Check for old template path
		if( is_dir($old_dir = ".design/backend/mail/templates/addons/auto_mail") ) {
			fn_copy($old_dir, $new_dir="./design/backend/mail/templates/addons/auto_mail");
			fn_rm($old_dir);
			fn_set_notification('N', $notify_label, "Moved templates from '$old_dir' to '$new_dir'", 'K');
		}
			
		if( is_dir($old_dir = "./design/backend/mail/addons/auto_mail") ) {
			fn_copy($old_dir, $new_dir="./design/backend/mail/templates/addons/auto_mail");
			fn_rm($old_dir);
			fn_set_notification('N', $notify_label, "Moved templates from '$old_dir' to '$new_dir'", 'K');
		}
		
		// Delete old entries (non V4)
		if( am_table_exists("?:ez_common_config") ) {
			db_query("DELETE FROM ?:ez_common_config WHERE cur_ver NOT LIKE '4%'");
		}
	
		// Ensure all description tables have appropriate language entries
		$desc_tables = array('am_action_id'=>'?:auto_mail_action_descriptions', 'am_event_id'=>'?:auto_mail_event_descriptions');
		$cnt = 0;
		foreach($desc_tables as $key_field => $table) {
			foreach(db_get_array("SELECT * FROM $table WHERE lang_code='en'") as $row) {
				foreach(fn_get_translation_languages() as $row['lang_code'] => $junk) {
					if( $row['lang_code'] == 'en' )
						continue;
					if( !db_get_row("SELECT * FROM $table WHERE lang_code=?s AND $key_field=?i", $row['lang_code'], $row[$key_field]) ) {	
						$cnt++;
						db_query("REPLACE INTO $table ?e", $row);
					}
				}
			}
		}

		if( $cnt ) {
			fn_set_notification('N', $notify_label, sprintf("Updated %d language entires in %d tables",
															$cnt, count($desc_tables)), 'K');
		}
		
		if( !am_table_exists("?:auto_mail_subscribers") ) {
			db_query("CREATE TABLE IF NOT EXISTS `?:auto_mail_subscribers` (
			  `email` varchar(50) NOT NULL,
			  `lang_code` char(2) DEFAULT 'en' NOT NULL,
			  `status` char(1) DEFAULT 'Y' NOT NULL,
			  `timestamp` int(11) unsigned NOT NULL,
			  PRIMARY KEY (`email`, `lang_code`)
			) ENGINE=MyISAM DEFAULT CHARSET=utf8");
			fn_set_notification("N", __("notice"), $s = "Created table ".DEFAULT_TABLE_PREFIX."auto_mail_subscribers",'K');
			am_log(__FILE__.": $s");
		}
		db_query("ALTER TABLE `?:users` ADD `am_subscribe` char(1) NOT NULL DEFAULT 'Y'");
	}	
}

am_check_table_fields();

//INSERT INTO cscart_auto_mail_action_descriptions (am_action_id, am_action_type, lang_code, description) SELECT am_action_id, am_action_type, 'de', description FROM cscart_auto_mail_action_descriptions WHERE lang_code = 'en';

?>