{assign var="lang_code" value="en"}

{** All 'cart' templates have the following variables provided:
 ** $am_cart - is the same as $cart in other templates.  It is the information saved for the user's cart.
 ** the 'to' address is pulled from $am_cart.user_data.email variable.
 ** $am_user_info - is the user information from their profile.  If they are an unregistered user 
 ** then it will probably only contain their email address.
 ** be sure to check before assuming it is set.
 ** $am_trigger_data - is the cart age setting from the event options.  
 **
 ** Each order template is in a sub-directory of the addon mail directory based on its language.  I.e. addons/auto_mail/en
 ** and come in pairs.  One for the 'subject' and one for the 'body'.  E.g. a template named 'foo_bar' would have a pathname
 ** of addons/auto_mail/en/cart_foo_bar.tpl and addons/auto_mail/en/cart_foo_bar_subj.tpl.
 ** If it were a 'profile' event it would be named:
 ** addons/auto_mail/en/profile_foo_bar.tpl and addons/auto_mail/en/profile_foo_bar_subj.tpl
 **
 ** 
 ** Copyright 2018 1st Source IT, LLC
 ** All rights reserved.
 ** Permission granted for use as
 ** long as this copyright notice, associated text and
 ** links remain in tact.
 ** Licensed for a single domain and a single instance of EZ-cart.
 ** Additional licenses can be purchased for additonal sites.
 **
 ** http://www.ez-ms.com
 ** http://www.ez-om.com
 ** http://www.1sit.com*
 **
 ** End copyright notification
 **}

<style>
.page {
	width:650px;
}
</style>

{** Get storefront data from the company_id used in the order.  If zero (PRO edition) get 
 ** from am_company_id function
 **}
{if $am_cart.company_id}
	{assign var="am_company_id" value=$am_cart.company_id}
{else}
	{assign var="am_company_id" value=""|am_company_id}
{/if}
{assign var="am_company_data" value=$am_company_id|fn_get_company_data:$lang_code}
{**EZms - fix for MVE 6/14/16 **}
{if empty($am_company_data.storefront) && "MULTIVENDOR"|fn_allowed_for}
	{assign var="t" value=""|fn_url:"C":"http"}
	{$am_company_data.storefront = "http://"|str_replace:"":$t}
{/if}

{assign var="company_data" value=$am_company_id|fn_get_company_data:$lang_code}
{assign var="company_email" value=$company_data.email}
{**EZms - 8/25/20 - Change to 'company_orders_department' **}
{assign var="company_email" value=$company_data.company_orders_department}

<div class="page">
	<div>
		{include file="`$include_bugfix`addons/auto_mail/en/common/company_header.tpl"}
	</div>
	<p>
	{if $am_cart.user_data.firstname}
			{__("dear")} {$am_cart.user_data.firstname},
	{else}
		{__("am_greetings")},
	{/if}
	</p>
	<p>
		It looks like you left our site too early.  
		{if $am_cart.incomplete}
			It looks like there was a problem with your order.  Please contact us so we can help you 
			complete your order.
		{else}
			We waited for you to finish checkout and wanted to 
			send you a quick reminder about the products that are waiting for you.  
		{/if}
		If you have any questions
		or we can help in any way, please contact us via email at <a href="mailto:{$company_email}">{$company_email}</a>.
	</p>
	
	{if $addons.auto_mail.review_c_code}
	<p>
		Please use coupon code <strong>{$addons.auto_mail.review_c_code}</strong> and enter it into the coupon code field during checkout.
	</p>
	<p>
		This coupon can only be used once.  It is our way of saying welcome back!
	</p>
	{/if}
	
	<p>
		The following products are waiting for you.  Please come back and purchase these great products by 
		{assign var="return_url" value="checkout.checkout"|fn_url:"C"|urlencode}
		{if $am_cart.order_id}
			<a href="{"auth.login_form&amp;return_url=`$return_url`"|fn_url:"C"}">
		{else}
			<a href="{$return_url|urldecode}">
		{/if}
		clicking this link</a>
	</p>
	{assign var="items" value="products"}
	<table width="100%" cellpadding="3" cellspacing="0" border="0">
		{foreach from=$am_cart[$items] item="item"}
			<tr>
				<td> 
					<a href="{"products.view&amp;product_id=`$item.product_id`"|fn_url:"C"}">
					{if $item.main_pair.detailed}
						<img src="{$item.main_pair.detailed.image_path}" width="{$settings.Thumbnails.category_lists_thumbnail_width}" />
					{elseif $item.main_pair.icon}
						<img src="{$item.main_pair.icon.image_path}" width="{$settings.Thumbnails.category_lists_thumbnail_width}" />
					{else}
						&nbsp;
					{/if}
					</a>
				</td>
				<td>{$item.product_code}&nbsp;-&nbsp;</td>
				<td align="left"><a href="{"products.view&amp;product_id=`$item.product_id`"|fn_url:"C"}">{$item.product}</a></td>
			</tr>
		{/foreach}
	</table>
	<br/>
	<p>
		Sincerely,
	<p>
	<p>
		Your friends at {$settings.Company.company_name}.
		<br/>
		Visit us at: <a href="{$settings.Company.company_website}">{$settings.Company.company_website}</a>
	</p>
	
	{include file="`$include_bugfix`addons/auto_mail/en/common/unsubscribe.tpl"}
</div>