{** All 'form' templates have the following variables provided:
 ** $form_data - The data submitted in the form.  It contains
 **		$form_data.page_name = name of the page that contains the form like "Contact us"
 **		$form_data.email = the email address of the user
 **		$form_data.form_fields = an array of form form_fields indexed by their title.  I.e.
 **			$form_data.form_fields["First name"]
 **			$form_data.form_fields.Phone
 **			etc
 **
 **
 ** Each order template is in a sub-directory of the addon mail directory based on its language.  I.e. addons/auto_mail/en
 ** and come in pairs.  One for the 'subject' and one for the 'body'.  E.g. a template named 'foo_bar' would have a pathname
 ** of addons/auto_mail/en/form_foo_bar.tpl and addons/auto_mail/en/form_foo_bar_subj.tpl.
 **
 ** 
 ** Copyright 2011, 2012, 2013, 2014, 2015 1st Source IT, LLC
 ** All rights reserved.
 ** Permission granted for use as
 ** long as this copyright notice, associated text and
 ** links remain in tact.
 ** Licensed for a single domain and a single instance of EZ-cart.
 ** Additional licenses can be purchased for additonal sites.
 **
 ** http://www.ez-ms.com
 ** http://www.ez-om.com
 ** http://www.1sit.com*
 **
 ** End copyright notification
 **}
 
{literal}
<style>
.page {
	width:650px;
}
</style>
{/literal}

{** Get storefront data from the company_id used in the order.  If zero (PRO edition) get 
 ** from am_company_id function
 **}
{if $am_order.company_id}
	{assign var="am_company_id" value=$am_order.company_id}
{else}
	{assign var="am_company_id" value=""|am_company_id}
{/if}
{assign var="am_company_data" value=$am_company_id|fn_get_company_data:$am_order.lang_code}
{**EZms - fix for MVE 6/14/16 **}
{if empty($am_company_data.storefront) && "MULTIVENDOR"|fn_allowed_for}
	{assign var="t" value=""|fn_url:"C":"http"}
	{$am_company_data.storefront = "http://"|str_replace:"":$t}
{/if}

<div class="page">
	<div>
		{include file="`$include_bugfix`addons/auto_mail/en/common/company_header.tpl"}
	</div>
	<p>
	{if $form_data.form_fields["First name"]}
			{__("dear")} {$form_data.form_fields["First name"]},
	{else}
		{__("am_greetings")},
	{/if}
	</p>
	<br />
	<p>
		You recently made an inquiry on our site.  We are following up with you to ask you to 
rate our response to your inquiry.
	</p>
	<p>
	{**EZms - 8/25/20 - Added emaill address **}
	Can you please respond back to us (<a href="mailto:{$company_data.company_orders_department}">{$company_data.company_orders_department}</a> or just hit Reply in your email client) 
	and give us some feedback?  We are constantly striving to improve our customer service 
	and your feedback is very important to us.
	</p>
	<p>
	Your message was in regard to:
	<blockquote>
	{$form_data.form_fields.Body|nl2br}
	</blockquote>
	</p>
{*  Uncomment to show variables available via this form.
	<p>For developers, data available in this form is:
	<br/>
		<pre>
		form_data is: {$form_data|print_r:true}
		</pre>
		Use it as you choose.
	</p>
*}

	<br/>
	<p>
		Sincerely,
	<p>
	<p>
		Your friends at {$settings.Company.company_name}.
		<br/>
		Visit us at: <a href="{$settings.Company.company_website}">{$settings.Company.company_website}</a>
	</p>
	
	{include file="`$include_bugfix`addons/auto_mail/en/common/unsubscribe.tpl"}
</div>