{** All 'order' templates have the following variables provided:
 ** $am_order - is the same as $order_info in other templates.  It is the output of fn_get_order_info().
 ** the 'to' address is pulled from $am_order.email variable.
 ** $am_user_info - is the user information from their profile.  If they are an unregistered user then it will be empty.
 ** be sure to check before assuming it is set.
 ** $am_trigger_data - is the data element used that triggered the event.  
 ** $am_trigger_name - name of they type of data contained in $am_trigger_data.  It can be one of:
 **		- product_code
 **		- amount
 ** 	- order_id
 **		- payment_type
 ** $am_order_id - the order_id for  the order.  Can also be gotten from $am_order.order_id
 **
 ** Given a product code in the $am_trigger_data, the product name can be retrieved via
 ** $am_product_data|am_get_product_name:$am_order.lang_code
 **
 ** Each order template is in a sub-directory of the addon mail directory based on its language.  I.e. addons/auto_mail/en
 ** and come in pairs.  One for the 'subject' and one for the 'body'.  E.g. a template named 'foo_bar' would have a pathname
 ** of addons/auto_mail/en/order_foo_bar.tpl and addons/auto_mail/en/order_foo_bar_subj.tpl.
 ** If it were a 'profile' event it would be named:
 ** addons/auto_mail/en/profile_foo_bar.tpl and addons/auto_mail/en/profile_foo_bar_subj.tpl
 **
 ** 
 ** Copyright 2011, 2012, 2013, 1st Source IT, LLC
 ** All rights reserved.
 ** Permission granted for use as
 ** long as this copyright notice, associated text and
 ** links remain in tact.
 ** Licensed for a single domain and a single instance of EZ-cart.
 ** Additional licenses can be purchased for additonal sites.
 **
 ** http://www.ez-ms.com
 ** http://www.ez-om.com
 ** http://www.1sit.com*
 **
 ** End copyright notification
 **}
 {literal}
<style>
.page {width:650px;}
</style>
{/literal}

{** Get storefront data from the company_id used in the order.  If zero (PRO edition) get 
 ** from am_company_id function
 **}
{if $am_order.company_id}
	{assign var="am_company_id" value=$am_order.company_id}
{else}
	{assign var="am_company_id" value=""|am_company_id}
{/if}
{assign var="am_company_data" value=$am_company_id|fn_get_company_data:$am_order.lang_code}
{**EZms - fix for MVE 6/14/16 **}
{if empty($am_company_data.storefront) && "MULTIVENDOR"|fn_allowed_for}
	{assign var="t" value=""|fn_url:"C":"http"}
	{$am_company_data.storefront = "http://"|str_replace:"":$t}
{/if}

<div class="page">
	<div>
		{include file="`$include_bugfix`addons/auto_mail/en/common/company_header.tpl"}
	</div>
	<p>
	{if $am_order.b_firstname}
			{__("dear")} {$am_order.b_firstname},
	{else}
		{__("am_greetings")},
	{/if}
	</p>
	<p>
		Thank you for your recent order.  We would like to offer you a coupon to use on your next visit to our site.
		If you purchase more then $50.00 in goods, this coupon will give you 10% off of your purchase (shipping not included).
	</p>
	<p>
		Please use coupon code <strong>returning_customer_discount</strong> and enter it into the coupon code field during checkout.
	</p>
	<p>
		This coupon can only be used once.  It is our way of saying thank you for your business!
	</p>
	<p>
		If you get a chance, we'd really appreciate it if you could write a review for the products you've purchased.  The following links will take you to the specific
		product detail page{if $am_orders.items|count > 1}s{/if} where you can enter your review on the <strong><i>Reviews</i></strong> tab.
	</p>
	{assign var="items" value="products"}
	{if $am_order.items}
	{assign var="items" value="items"}
	{/if}
	<table width="100%" cellpadding="3" cellspacing="0" border="0">
		{foreach from=$am_order[$items] item="item"}
			<tr>
				<td>{$item.product_code}&nbsp;-&nbsp;</td>
				<td align="left"><a href="http://{$am_company_data.storefront}?dispatch=products.view&amp;product_id={$item.product_id}">{$item.product}</a></td>
			</tr>
		{/foreach}
	</table>
	<br/>
	<p>
		Sincerely,
	<p>
	<p>
		Your friends at {$settings.Company.company_name}.
		<br/>
		Visit us at: <a href="{$settings.Company.company_website}">{$settings.Company.company_website}</a>
	</p>
	
	{include file="`$include_bugfix`addons/auto_mail/en/common/unsubscribe.tpl"}
</div>