{** $am_order - is the same as $order_info in other templates.  It is the output of fn_get_order_info().
 ** the 'to' address is pulled from $am_order.email variable.
 ** $am_user_info - is the user information from their profile.  If they are an unregistered user then it will be empty.
 ** be sure to check before assuming it is set.
 ** $am_trigger_data - is the data element used that triggered the event.  
 ** $am_trigger_name - name of they type of data contained in $am_trigger_data.  It can be one of:
 **		- product_code
 **		- amount
 ** 	- order_id
 **		- payment_type
 ** $am_order_id - the order_id for  the order.  Can also be gotten from $am_order.order_id
 **
 ** Given a product code in the $am_trigger_data, the product name can be retrieved via
 ** $am_product_data|am_get_product_name:$am_order.lang_code
 **
 ** Each order template is in a sub-directory of the addon mail directory based on its language.  I.e. addons/auto_mail/en
 ** and come in pairs.  One for the 'subject' and one for the 'body'.  E.g. a template named 'foo_bar' would have a pathname
 ** of addons/auto_mail/en/order_foo_bar.tpl and addons/auto_mail/en/order_foo_bar_subj.tpl.
 ** If it were a 'profile' event it would be named:
 ** addons/auto_mail/en/profile_foo_bar.tpl and addons/auto_mail/en/profile_foo_bar_subj.tpl
 **
 ** 
 ** Copyright 2011, 2012, 2013, 2014 1st Source IT, LLC
 ** All rights reserved.
 ** Permission granted for use as
 ** long as this copyright notice, associated text and
 ** links remain in tact.
 ** Licensed for a single domain and a single instance of EZ-cart.
 ** Additional licenses can be purchased for additonal sites.
 **
 ** http://www.ez-ms.com
 ** http://www.ez-om.com
 ** http://www.1sit.com*
 **
 ** End copyright notification
 **}
 
{**
 ** Note that background images are not supported in some email clients.
 ** Using 'stars' may require customers to "load remote content" to see the stars.
 ** This variable determines which method will be used when selecting the rating.
 ** Valid options are:
 **		- select
 **		- radios
 **		- stars
 **
 **}
{assign var="default_rating_type" value=$addons.auto_mail.rating_type|default:"stars"}
{assign var="rating_type" value=$default_rating_type}	{** select seems to work in most email clients **}
 
{** Get storefront data from the company_id used in the order.  If zero (PRO edition) get 
 ** from am_company_id function
 **}
{if $am_order.company_id}
	{assign var="am_company_id" value=$am_order.company_id}
{else}
	{assign var="am_company_id" value=""|am_company_id}
{/if}
{assign var="am_company_data" value=$am_company_id|fn_get_company_data:$am_order.lang_code}
{**EZms - fix for MVE 6/14/16 **}
{if empty($am_company_data.storefront) && "MULTIVENDOR"|fn_allowed_for}
	{assign var="t" value=""|fn_url:"C":"http"}
	{$am_company_data.storefront = "http://"|str_replace:"":$t}
{/if}

{** default star rating **}
{assign var="default_rating" value=$addons.auto_mail.default_rating|default:0}

{** use coupon code **}
{assign var="review_c_code" value=$addons.auto_mail.review_c_code}

{** order lang_code **}
{assign var="lang_code" value=$am_order.lang_code}

{** Initialize product_ids value **}
{assign var="product_ids" value=''}
{if $discussion_products}
	{$sep=''}
	{assign var="product_ids" value=''}
	{foreach from=$discussion_products item="dp" name="dp"}
		{if $smarty.foreach.dp.iteration == 2}
			{$sep=','}
		{/if}
		{assign var="product_ids" value="%s%s%s"|sprintf:$product_ids:$sep:$dp.product_id}
	{/foreach}
{/if}

{if !$logos }
	{assign var="logos" value=null|fn_get_logos}
{/if}

{** Show links on product listing? **}
{assign var="show_links" value=false}

<html>
<head>

{literal}
<style>
td {
	vertical-align:middle;
}
.product_image {
	width:100px;
	valign: middle;
	align: center;
}
.product_image img {
	max-width:100;
	border; 0;
	max-height:100;
}
.table_description {
	width: 200px;
}
.form li {
    list-style:none;
}
.inline {
	float: left;
}
ul.inline {
	margin-top: 0;
}

.hide {
    display:none;
}
.bold {
	font-weight:bold;
	font-size: 16px;
}

.rating input[type="radio"] {
    position:absolute;
    filter:alpha(opacity=0);
    -moz-opacity:0;
    -khtml-opacity:0;
    opacity:0;
    cursor:pointer;
    width:17px;
}

li.radio_rating {
    list-style-type: none;
	padding: 0;
	margin: 0;
}
.am-inline {
	display:inline;
}

.rating span {
    width:24px;
    height:16px;
    line-height:16px;
    padding:1px 22px 1px 0; /* 1px FireFox fix */
/*
    background: url('/design/backend/media/images/addons/auto_mail/stars.png') no-repeat -22px 0;
*/
    background: url('data:image/png;base64,{/literal}{"design/backend/media/images/addons/auto_mail/stars.png"|file_get_contents|base64_encode}{literal}') no-repeat -22px 0;
/*
	background: url('{/literal}{if "HTTPS"|defined}https://{else}http://{/if}{$am_company_data.storefront}{literal}/design/backend/media/images/addons/auto_mail/stars.png') no-repeat -22px 0;
*/
}

.rating input[type="radio"]:checked + span {
    background-position:-22px 0;
}

.rating input[type="radio"]:checked + span ~ span {
    background-position:0 0;
}
.starRating ul, .rating_text {
	margin:0;
	padding: 5px;
}
.page {
	width:650px;
	font-size: larger;
}
.clear {
	float:none;
	clear:both;
}
.review_link {
	font-size: larger;
}
.rating-selection {
}
.am-submit-button,
.am-rating-select {
	float:left;
	padding-left: 10px;
}
.am-star-link a {
	text-decoration:none;
	color:inherit;
	padding:0;
	margin:0;
}
</style>
{/literal}
</head>
<body>
<div class="page">
	<div>
		{include file="`$include_bugfix`addons/auto_mail/en/common/company_header.tpl"}
	</div>
	<p>
	{if $am_order.b_firstname}
			{__("dear")} {$am_order.b_firstname},
	{else}
		{__("am_greetings")},
	{/if}
	</p>
	<p>
		Thank you for your recent order, we really appreciate your business.
	</p>
	
{if $discussion_products || $show_testimonial == 'Y'}
	<p>
		If you get a chance, we'd really appreciate it if you could write a review 
		{if $show_testimonial == 'Y'}
			of our site
		{/if} 
		{if $discussion_products && $show_testimonial == 'Y'}
			and
		{/if}
		{if $discussion_products} 
			for the products you've purchased
		{/if}.  Please use the rating below to provide us a review.
	</p>

	{if $review_c_code}
	<p>We would like to offer you a coupon to use on your next visit to our site.
		If you purchase more than {$addons.auto_mail.review_min_purchase} in goods, this coupon will give you {$addons.auto_mail.review_coupon_discount} off of your purchase (shipping not included).
	</p>
	<p>
		Please use coupon code '<strong>{$review_c_code}'</strong> and enter it into the coupon code field during checkout.
	</p>
	<p>
		This coupon can only be used once.  It is our way of saying thank you for your business!
	</p>
	{/if}	{* coupon code assigned *}
	
	{assign var="items" value="products"}
	{if $am_order.items}
	{assign var="items" value="items"}
	{/if}
	
	{assign var="qs" value="product_ids=`$product_ids`&amp;r_key=`$am_queue_id`&amp;show_testimonial=`$show_testimonial|default:"0"`"}
	{assign var="sd" value="&#10031;"}
	{assign var="ss" value="&#10032;"}
	
	{** Can't rely on CSS to do fancier stars.... **}
	{for $i=1 to 5}
		{assign var="star_str" value=""}
		{if $i == $default_rating}
			{for $n=1 to $i}
				{assign var="star_str" value=$star_str|cat:$sd}
			{/for}
		{else}
			{for $n=1 to $i}
				{assign var="star_str" value=$star_str|cat:$ss}
			{/for}
		{/if}
		{assign var="stars`$i`" value=$star_str}
	{/for}
	
	{capture name="star_rating"}
		<div class="am-star-link">
			{assign var="star" value=$ss}
			<a href="{"auto_mail.order_reviews&amp;`$qs`&amp;default_rating=1"|fn_url:"C"}"><span class="star-char">{$stars1 nofilter}&nbsp;-&nbsp;{__("am_poor")}</span></a>
		</div>
		<div class="am-star-link">
			<a href="{"auto_mail.order_reviews&amp;`$qs`&amp;default_rating=2"|fn_url:"C"}"><span class="star-char">{$stars2 nofilter}&nbsp;-&nbsp;{__("am_fair")}</span></a>
		</div>
		<div class="am-star-link">
			<a href="{"auto_mail.order_reviews&amp;`$qs`&amp;default_rating=3"|fn_url:"C"}"><span class="star-char">{$stars3 nofilter}&nbsp;-&nbsp;{__("am_good")}</span></a>
		</div>
		<div class="am-star-link">
			<a href="{"auto_mail.order_reviews&amp;`$qs`&amp;default_rating=4"|fn_url:"C"}"><span class="star-char">{$stars4 nofilter}&nbsp;-&nbsp;{__("am_very_good")}</span></a>
		</div>
		<div class="am-star-link">
			<a href="{"auto_mail.order_reviews&amp;`$qs`&amp;default_rating=5"|fn_url:"C"}"><span class="star-char">{$stars5 nofilter}&nbsp;-&nbsp;{__("am_excellent")}</span></a>
		</div>
	{/capture}
	
	{if $show_testimonials == 'Y' || $discussion_products }
		<h3>Rate {if $show_testimonial == 'Y'}our site and{/if} the products listed below:&nbsp;</h3>
		{$smarty.capture.star_rating nofilter}
	</form>

	{/if}	{* show_testimonials or discussion_products *}
	<br/>
	
	{if $discussion_products}
		<div class="clear">
			<h3>{__("am_products_to_review")}:</h3>
			<table width="100%" cellpadding="3" cellspacing="0" border="0">
				{foreach name="items_list" from=$discussion_products item="item"}
					{assign var="product_id" value=$item.product_id}
					<tr>
						<td> 
							{if $show_links}
								<a href="{"products.view&amp;product_id=`$product_id`"|fn_url:"C"}">
							{/if}
							{assign var="main_pair" value=$product_id|fn_get_image_pairs:"product":"M":true:true:$am_order.lang_code}
							{if $main_pair}
								<img src="{$main_pair.detailed.image_path}" width="{$settings.Thumbnails.category_lists_thumbnail_width}" />
							{else}
								&nbsp;
							{/if}
							{if $show_links}</a>{/if}
						</td>
						<td>
							{if $show_links}
								<a href="{"products.view&amp;product_id=`$product_id`"|fn_url:"C"}">
							{/if}
								{$item.product_code}&nbsp;-&nbsp;{$item.product}
							{if $show_links}</a>{/if}
						</td>
					</tr>
				{/foreach}
			</table>
		</div>
	{/if}
{/if}	{* $discussion_products || $show_testimonial *}	<p>
		Sincerely,
	<p>
	<p>
		Your friends at {$settings.Company.company_name}.
		<br/>
		Visit us at: <a href="{$settings.Company.company_website}">{$settings.Company.company_website}</a>
	</p>
	
	{include file="`$include_bugfix`addons/auto_mail/en/common/unsubscribe.tpl"}
</div>
</body>
</html>
