{** $am_order - is the same as $order_info in other templates.  It is the output of fn_get_order_info().
 ** the 'to' address is pulled from $am_order.email variable.
 ** $am_user_info - is the user information from their profile.  If they are an unregistered user then it will be empty.
 ** be sure to check before assuming it is set.
 ** $am_trigger_data - is the data element used that triggered the event.  
 ** $am_trigger_name - name of they type of data contained in $am_trigger_data.  It can be one of:
 **		- product_code
 **		- amount
 ** 	- order_id
 **		- payment_type
 ** $am_order_id - the order_id for  the order.  Can also be gotten from $am_order.order_id
 **
 ** Given a product code in the $am_trigger_data, the product name can be retrieved via
 ** $am_product_data|am_get_product_name:$am_order.lang_code
 **
 ** Each order template is in a sub-directory of the addon mail directory based on its language.  I.e. addons/auto_mail/en
 ** and come in pairs.  One for the 'subject' and one for the 'body'.  E.g. a template named 'foo_bar' would have a pathname
 ** of addons/auto_mail/en/order_foo_bar.tpl and addons/auto_mail/en/order_foo_bar_subj.tpl.
 ** If it were a 'profile' event it would be named:
 ** addons/auto_mail/en/profile_foo_bar.tpl and addons/auto_mail/en/profile_foo_bar_subj.tpl
 **
 ** 
 ** Copyright 2011, 2012, 2013, 2014 1st Source IT, LLC
 ** All rights reserved.
 ** Permission granted for use as
 ** long as this copyright notice, associated text and
 ** links remain in tact.
 ** Licensed for a single domain and a single instance of EZ-cart.
 ** Additional licenses can be purchased for additonal sites.
 **
 ** http://www.ez-ms.com
 ** http://www.ez-om.com
 ** http://www.1sit.com*
 **
 ** End copyright notification
 **}
 
{**
 ** Note that background images are not supported in some email clients.
 ** Using 'stars' may require customers to "load remote content" to see the stars.
 ** This variable determines which method will be used when selecting the rating.
 ** Valid options are:
 **		- select
 **		- radios
 **		- stars
 **
 **}
{assign var="default_rating_type" value=$addons.auto_mail.rating_type|default:"stars"}
{assign var="rating_type" value=$default_rating_type}	{** select seems to work in most email clients **}
 
{** Get storefront data from the company_id used in the order.  If zero (PRO edition) get 
 ** from am_company_id function
 **}
{if $am_order.company_id}
	{assign var="am_company_id" value=$am_order.company_id}
{else}
	{assign var="am_company_id" value=""|am_company_id}
{/if}
{assign var="am_company_data" value=$am_company_id|fn_get_company_data:$am_order.lang_code}
{**EZms - fix for MVE 6/14/16 **}
{if empty($am_company_data.storefront) && "MULTIVENDOR"|fn_allowed_for}
	{assign var="t" value=""|fn_url:"C":"http"}
	{$am_company_data.storefront = "http://"|str_replace:"":$t}
{/if}

{** default star rating **}
{assign var="default_rating" value=$addons.auto_mail.default_rating|default:0}

{** use coupon code **}
{assign var="review_c_code" value=$addons.auto_mail.review_c_code}

{** order lang_code **}
{assign var="lang_code" value=$am_order.lang_code}

<html>
<head>

{literal}
<style>
td {
	vertical-align:top;
}
.product_image {
	width:100px;
	valign: middle;
	align: center;
}
.product_image img {
	max-width:100;
	border; 0;
	max-height:100;
}
.table_description {
	width: 200px;
}
.form li {
    list-style:none;
}
.inline {
	float: left;
}
ul.inline {
	margin-top: 0;
}

.hide {
    display:none;
}
.bold {
	font-weight:bold;
	font-size: 16px;
}

.rating input[type="radio"] {
    position:absolute;
    filter:alpha(opacity=0);
    -moz-opacity:0;
    -khtml-opacity:0;
    opacity:0;
    cursor:pointer;
    width:17px;
}

li.radio_rating {
    list-style-type: none;
	padding: 0;
	margin: 0;
}

.rating span {
    width:24px;
    height:16px;
    line-height:16px;
    padding:1px 22px 1px 0; /* 1px FireFox fix */
/*
    background: url('/design/backend/media/images/addons/auto_mail/stars.png') no-repeat -22px 0;
*/
    background: url('data:image/png;base64,{/literal}{"design/backend/media/images/addons/auto_mail/stars.png"|file_get_contents|base64_encode}{literal}') no-repeat -22px 0;
/*
	background: url('{/literal}{if "HTTPS"|defined}https://{else}http://{/if}{$am_company_data.storefront}{literal}/design/backend/media/images/addons/auto_mail/stars.png') no-repeat -22px 0;
*/
}

.rating input[type="radio"]:checked + span {
    background-position:-22px 0;
}

.rating input[type="radio"]:checked + span ~ span {
    background-position:0 0;
}
.starRating ul, .rating_text {
	margin:0;
	padding: 5px;
}
.page {
	width:650px;
	font-size: larger;
}
.clear {
	clear:both;
}
.review_link {
	font-size: larger;
}

</style>
{/literal}
</head>
<body>
<div class="page">
	<p>
	{if $am_order.b_firstname}
			{__("dear")} {$am_order.b_firstname},
	{else}
		{__("greetings")},
	{/if}
	</p>
	<p>
		Thank you for your recent order, we really appreciate your business.
	</p>
	{if $discussion_products}
	<p>
		If you get a chance, we'd really appreciate it if you could write a review for the products you've purchased.  Please use the form below to provide us a review.	Some email clients do not properly support
		submitting forms from an email.  If you have difficulty, please use the link below the text area 
		of the review to go directly to the reviews area for each product.
	</p>
	{/if}	{* discussion_products *}
	{if $review_c_code}
	<p>We would like to offer you a coupon to use on your next visit to our site.
		If you purchase more than {$addons.auto_mail.review_min_purchase} in goods, this coupon will give you {$addons.auto_mail.review_coupon_discount} off of your purchase (shipping not included).
	</p>
	<p>
		Please use coupon code '<strong>{$review_c_code}'</strong> and enter it into the coupon code field during checkout.
	</p>
	<p>
		This coupon can only be used once.  It is our way of saying thank you for your business!
	</p>
	{/if}	{* coupon code assigned *}
	
	{assign var="items" value="products"}
	{if $am_order.items}
	{assign var="items" value="items"}
	{/if}
	
	{if $discussion_products}
	<form action="http://{$am_company_data.storefront}?dispatch=auto_mail.review" method="post" name="add_post_form" id="add_post_form" >
	<input type="hidden" name="order_id" value="{$am_order.order_id}">
	<input type="hidden" name="r_key" value="{$am_queue_id|default:0}" />
	<input type="hidden" name="user_id" value="{$am_order.user_id}" />
	<input type="hidden" name="lang_code" value="{$am_order.lang_code}" />
	<input type="hidden" name="redirect_url" value="{$am_company_data.storefront}" />
	<input type="hidden" name="preview" value="{$am_preview}" />
	<table width="100%" cellpadding="3" cellspacing="0" border="0">
		{foreach name="items_list" from=$discussion_products item="item"}
			{assign var="product_id" value=$item.product_id}
			<input type="hidden" name="post_data[products][{$product_id}][name]" value="{$am_order.email}" />
			<input type="hidden" name="post_data[products][{$product_id}][product_code]" value="{$item.product_code}" />
			<input type="hidden" name="post_data[products][{$product_id}][thread_id]" 
					value="{$am_discussion_thread_id[$item.product_id]|default:-1}" />
			<tr>
				<td>{$item.product_code}&nbsp;-&nbsp;</td>
				<td align="left"><a href="http://{$am_company_data.storefront}?dispatch=products.view&amp;product_id={$item.product_id}">{$item.product}</a></td>
				<td class="table_review" width="60%">
					<div class="starRating">
						<div class="inline bold">Rate this product:&nbsp;</div>
						<div class="inline">
							{if $rating_type == 'select'}
								<select name="post_data[products][{$item.product_id}][rating_value]">
									<option value="0" 
										{if $default_rating == 0}selected="selected"{/if}
									>--{__("am_select_rating")}--</option>
									<option value="1" 
										{if $default_rating == 1}selected="selected"{/if}
									>1 {__("am_star_rating")} ({__("am_poor")})</option>
									<option value="2" 
										{if $default_rating == 2}selected="selected"{/if}
									>2 {__("am_star_rating")} ({__("am_fair")})</option>
									<option value="3" 
										{if $default_rating == 3}selected="selected"{/if}
									>3 {__("am_star_rating")} ({__("am_good")})</option>
									<option value="4" 
										{if $default_rating == 4}selected="selected"{/if}
									>4 {__("am_star_rating")} ({__("am_very_good")})</option>
									<option value="5" 
										{if $default_rating == 5}selected="selected"{/if}
									>5 {__("am_star_rating")} ({__("am_excellent")})</option>
								</select>
							{elseif $rating_type == 'radios'}
								<input type="hidden" 
									name="post_data[products][{$item.product_id}][rating_value]" 
									value="0" 
									{if $default_rating == 0}checked="checked"{/if}
								/>
								<input type="radio" 
									name="post_data[products][{$item.product_id}][rating_value]" 
									value="1" 
									{if $default_rating == 1}checked="checked"{/if}
								/>1-{__("am_star")}&nbsp;
								<input type="radio" 
									name="post_data[products][{$item.product_id}][rating_value]" 
									value="2" 
									{if $default_rating == 2}checked="checked"{/if}
								/>2-{__("am_star")}&nbsp;
								<input type="radio" 
									name="post_data[products][{$item.product_id}][rating_value]" 
									value="3" 
									{if $default_rating == 3}checked="checked"{/if}
								/>3-{__("am_star")}&nbsp;
								<input type="radio" 
									name="post_data[products][{$item.product_id}][rating_value]" 
									value="4" 
									{if $default_rating == 4}checked="checked"{/if}
								/>4-{__("am_star")}&nbsp;
								<input type="radio" 
									name="post_data[products][{$item.product_id}][rating_value]" 
									value="5"
									{if $default_rating == 5}checked="checked"{/if}
								/>5-{__("am_star")}&nbsp;
							{elseif $rating_type == 'stars'}
								<ul class="inline form">
									<li class="rating">
										<input type="radio" name="post_data[products][{$item.product_id}][rating_value]" 
											value="0" 
											{if $default_rating == 0}checked="checked"{/if}
										/><span class="hide"></span>
										<input type="radio" 
											name="post_data[products][{$item.product_id}][rating_value]" 
											value="1"
											{if $default_rating == 1}checked="checked"{/if}
										/><span></span>
										<input type="radio" 
											name="post_data[products][{$item.product_id}][rating_value]" 
											value="2"
											{if $default_rating == 2}checked="checked"{/if}
										/><span></span>
										<input type="radio" 
											name="post_data[products][{$item.product_id}][rating_value]" 
											value="3"
											{if $default_rating ==3}checked="checked"{/if}
										/><span></span>
										<input type="radio" 
											name="post_data[products][{$item.product_id}][rating_value]" 
											value="4"
											{if $default_rating == 4}checked="checked"{/if}
										/><span></span>
										<input type="radio" 
											name="post_data[products][{$item.product_id}][rating_value]" 
											value="5"
											{if $default_rating == 5}checked="checked"{/if}
										/><span></span>
									</li>
								</ul>
							{/if}
						</div>
						<div class="clear"></div>
					</div>
					{assign var="r_proto" value="http://"}
					{if "HTTPS"|defined }
						{assign var="r_proto" value="https://"}
					{/if}
					{assign var="r_url" value="`$r_proto``$am_company_data.storefront`?dispatch=products.view&selected_section=discussion&product_id=`$item.product_id`#discussion"}
					<div >
						<span class="bold">Please give us a brief review related to your rating:</span>
						<textarea name="post_data[products][{$item.product_id}][message]" id="message" rows="3" cols="40" wrap="soft" ></textarea>
						<br/><span class="review_link"><a href="{$r_url}">{__("am_or_post_onsite")}</a></span>
					</div>
				</td>
			</tr>
			{if $smarty.foreach.items_list.last }
			<tr>
				<td colspan="2">&nbsp;</td>
				<td align="center">
					<span class="submit-button">
						<input type="submit" 
								name="dispatch[auto_mail.review]" 
								value="{__("am_submit_review")}" 
						/>
					</span>
				</td>
			</tr>
			{/if}
		{/foreach}
	</table>
	</form>
	{/if}	{* discussion_products *}
	<br/>
	<p>
		Sincerely,
	<p>
	<p>
		Your friends at {$settings.Company.company_name}.
		<br/>
		Visit us at: <a href="http://{$config.http_host}">{$config.http_host}</a>
	</p>
</div>
</body>
</html>